/*
 * Copyright (c) 2024, WSO2 LLC. (http://www.wso2.com).
 *
 * WSO2 LLC. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.wso2.carbon.is.migration.service.v710.model;

import org.wso2.carbon.identity.entitlement.dto.PolicyDTO;

public class PolicyMigrationDTO {

    PolicyDTO policyDTO;
    boolean isInPAP;

    public PolicyMigrationDTO(PolicyDTO policyDTO, boolean isInPAP) {

        if (policyDTO == null) {
            throw new IllegalArgumentException("PolicyDTO cannot be null.");
        }
        this.policyDTO = policyDTO;
        this.isInPAP = isInPAP;
    }

    public PolicyDTO getPolicyDTO() {

        return policyDTO;
    }

    public void setPolicyDTO(PolicyDTO policyDTO) {

        this.policyDTO = policyDTO;
    }

    public boolean isInPAP() {

        return isInPAP;
    }

    public void setInPAP(boolean inPAP) {

        isInPAP = inPAP;
    }
}
